function h=plotcar(x,y,theta,phi,length,symbol)
%
%    February 1993
%
% ............................................................
% :         Pierre ROUCHON  <rouchon@cas.ensmp.fr>           :
% : Centre Automatique et Systemes, Ecole des Mines de Paris :
% : 60, bd Saint Michel -- 75272 PARIS CEDEX 06, France      :
% :    Telephone: (1) 40 51 91 15 --- Fax: (1) 43 54 18 93   :
% :..........................................................:
%
% 
% plot the car 
%
% rear wheels
wheel1 =  [ -1/8 1/8 ;  1/6  1/6 ] ; 
wheel2 =  [ -1/8 1/8 ; -1/6 -1/6 ] ;
% front wheels
wheel3 = [
(1-cos(phi)/8)   (1+cos(phi)/8)
(1/6-sin(phi)/8) (1/6+sin(phi)/8) 
         ] ;
wheel4 = [
(1-cos(phi)/8)    (1+cos(phi)/8)
(-1/6-sin(phi)/8) (-1/6+sin(phi)/8) 
         ] ;
% 
% car + wheels
xy_car = [ [
    -1/3   7/6   4/3  4/3  7/6  -1/3  -1/3
    -1/3  -1/3  -1/6  1/6  1/3   1/3  -1/3
         ] wheel1 wheel2 wheel3 wheel4 ] ;
xy_car = ....
  [x x x x x x x x x x x x x x x 
   y y y y y y y y y y y y y y y ] + .... 
   length*[cos(theta) -sin(theta);sin(theta) cos(theta)]*xy_car  ;
%
ss=4;
 h(1)=plot(xy_car(1,1:7),xy_car(2,1:7),symbol,'LineWidth',ss) ;
% rear wheel 1
 h(2)=plot(xy_car(1,8:9),xy_car(2,8:9),symbol,'LineWidth',ss) ;
% rear wheel 2
 h(3)=plot(xy_car(1,10:11),xy_car(2,10:11),symbol,'LineWidth',ss) ;
% front wheel 1
 h(4)=plot(xy_car(1,12:13),xy_car(2,12:13),symbol,'LineWidth',ss) ;
% front wheel 2
 h(5)=plot(xy_car(1,14:15),xy_car(2,14:15),symbol,'LineWidth',ss) ;


